List Details of Technologies

GET /pcas/v3/policy/technology/

With this API, you can get all technologies associated with a compliance policy.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy for which you want to obtain all associated technologies.

Sample - List all technologies associated to the policy IDSample - List all technologies associated to the policy ID

API Request

curl -X 'GET' \'<qualys_base_url>/pcas/v3/policy/technology?policyId=<Policy ID>' 
\ -H 'accept: application/json' 
\ -H 'Authorization: Bearer <Auth Token>'

XML Output

{
"policyId": 5656121,
"technologies": [
   {
     "technologyId": 18,
     "technologyName": "Windows Vista"
   }
 ]
}


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.